Subject: bug#33974: 26.1.90; emacs-26 branch Emacs crashes in daemon mode when calling helm-M-x or a eval-expression

From: Ari Roponen <[email-masked]>
Date: Sat, 05 Jan 2019 10:43:00 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Vladimir Kazanov <[email-masked]>
>> Date: Fri, 04 Jan 2019 09:03:17 +0000
>> 
>> I've built the recent emacs-26 branch and tried to run it in daemon mode
>> (both fg and bg). Once running I call (helm-M-x) or (eval-expression).
>> This results in a crash.
>
> Do you see the same in the 26.1.90 pretest and in Emacs 26.1?
>
>> Configured using:
>>  'configure --with-modules --with-cairo'
>> 
>
> Can you try building without Cairo?  Does the crash happen there?
>

I can reproduce the crash in emacs-26 branch but not in the master
branch. The problem happens with Cairo. After cherry-picking the
following commits from the master branch, I cannot reproduce the the
crash any more:

1233bcb0a78755ec4f3a925b84c15b1c6f715b1c ("Work around GC+Cairo bug")
d02fd482fbeaf6ed551e78223b538495cb0c3541 ("Improve GC+Cairo workaround")